## presets 1.0.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/presets.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/presets.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/presets"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/presets"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/requirements.txt ===
numpydoc>=0.5

## presets 0.1.3

=== debian/changelog ===
presets (0.1.3-4) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 4.6.2
      - Added Testsuite: autopkgtest-pkg-pybuild
  * debian/copyrigth: updated copyright year maintainer
  * debian/patches: Fixed obsolete module error (Closes: #1058091)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 30 Dec 2023 07:28:02 -0300

presets (0.1.3-3) unstable; urgency=medium

  * debian/watch: fix url to https://github.com/bmcfee/presets/tags

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 25 Sep 2022 14:24:37 -0300

presets (0.1.3-2) unstable; urgency=medium

  * Update to unstable
  * debian: create file to build sphinx documentation
     - python-presets-doc.doc-base
     - python-presets-doc.docs
  * debian/clean: include directory debian/html
  * debian/control: include fields for building sphinx documentation
     - add Architecture: all
     - add Build-Depends python3-sphinx
     - add Depends: ${misc:Depends}, ${python3:Depends}
     - add Description
     - add Multi-Arch
     - add Package: python-presets-doc
     - add Section: doc
     - add Suggests:python-presets-doc
  * debian/rules:
     - build sphinx documentation
     - include tag export PYBUILD_NAME=presets

  [ Bastian Germann ]
  * Run dh_install after deleting coverage
  * Correct copyright year
  * Make sense of the description

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 09 Aug 2022 22:17:51 -0300

presets (0.1.3-1) experimental; urgency=medium

  * Initial release. (Closes: #1015142)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 16 Jul 2022 00:49:12 -0300

=== debian/control ===
Source: presets
Section: python
Priority: optional
Maintainer: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-coverage,
               python3-numpydoc,
               python3-pytest,
               python3-pytest-cov,
               python3-setuptools,
               python3-six,
               python3-sphinx
Standards-Version: 4.6.2
Homepage: https://github.com/bmcfee/presets
Vcs-Browser: https://salsa.debian.org/debian/presets
Vcs-Git: https://salsa.debian.org/debian/presets.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-presets
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-presets-doc
Description: Python module to handle default parameters of functions
 Provides an object interface that can override common default
 parameter settings for all functions within a target module or
 package.
 .
 Simple to use. Just build a Preset object with the target module
 as an argument and then set the default parameters via a dict-like
 interface.
 .
 So your new object will work just like the target module, but the
 default arguments of any function will be defined by the values you set.
 .
 This package provides the Python 3.x module.

Package: python-presets-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Improved Python presets module from (cammon documentation)
 Provides an object interface that can override common default
 parameter settings for all functions within a target module or
 package.
 .
 This package contains HTML documentation, incorporates instructions on how
 to install and configure and use this module Python presets.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=presets
%:
	dh $@ --with python3,sphinxdoc  --buildsystem=pybuild

# Build sphinx HTML documentation
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N -bhtml docs/ debian/html
override_dh_link:
	find  debian/python3-presets/usr/lib/  -name '*.coverage' -delete

## presets 1.0.0

=== debian/changelog ===
presets (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0
  * debian/patches: Fixed import patch
  * debian/rules: Changed file removal from dh_link to PYBUILD_AFTER_TEST=rm

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 02 Mar 2025 18:05:51 -0300

presets (0.1.3-5) unstable; urgency=medium

  * debian/control: Bumped Standards-Version to 4.7.0
  * debian/patches: Fixed patch name and sphinx-doc build (Closes: #1074643)
  * debian/python-presets-doc.doc-base: Fixed package name in abstract metadata

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 03 Aug 2024 20:54:04 -0300

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-setuptools,
                python3-six,
                python3-sphinx
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/bmcfee/presets
 Vcs-Browser: https://salsa.debian.org/debian/presets
 Vcs-Git: https://salsa.debian.org/debian/presets.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=presets
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/coverage.xml
%:
	dh $@ --with python3,sphinxdoc  --buildsystem=pybuild

# Build sphinx HTML documentation
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N -bhtml docs/ debian/html
